package holeg.model;

import holeg.power_flow.ComplexNumber;

import java.util.List;

public interface GridNode {
    List<GridEdge> getEdges();

    ComplexNumber getPowerConsumption();
    ComplexNumber getPowerGeneration();

    void setVoltage(double voltage);
    void setCurrent(double current);
}
